import React from 'react';
import { BrowserRouter, Routes, Route } from 'react-router-dom';
import { Auth } from './components/auth';
import { AuthProvider } from './contexts';
import './App.css';
import { Overview } from './components/overview';

const App: React.FC = () => (
  <>
    <BrowserRouter>
      <AuthProvider>
      <Routes>
        <Route index element={<Login />} />
        <Route path='/auth' element={<Auth />} />
        <Route path='/overview' element={<Overview />} />
      </Routes>
      </AuthProvider>
    </BrowserRouter>
  </>
);

export default App;
